create table USERS(
   id        integer not null,
   login     varchar2 (16) null,
   name      varchar2 (64) null,
   data      timestamp default SYSDATE,
   CONSTRAINT PK_USERID PRIMARY KEY (id)
);

create table AUTOS
(
  aid         integer NOT NULL,
  user_id     integer,
  name        varchar2(32),
  CONSTRAINT pk_AUTOSK_ID PRIMARY KEY (aid),
  CONSTRAINT fk_USERID FOREIGN KEY (user_id)
      REFERENCES USERS (id)
);

create sequence SEQ_USER
  minvalue 1
  start with 10
  increment by 1
  cache 5;

delete from AUTOS;
delete from USERS;

select * from USERS;
select * from AUTOS;

-- drop table USERS;
-- drop sequence SEQ_USER;
-- drop table AUTOS;
